Loading...
Searching...
No Matches
RDKit::Atropisomers Namespace Reference

## Typedefs

using | AtropAtomAndBondVec = std::pair< Atom *, std::vector< Bond * > >

## Functions

RDKIT_GRAPHMOL_EXPORT void | detectAtropisomerChirality (ROMol &mol, const Conformer *conf)
RDKIT_GRAPHMOL_EXPORT void | wedgeBondsFromAtropisomers (const ROMol &mol, const Conformer *conf, std::map< int, std::unique_ptr< RDKit::Chirality::WedgeInfoBase > > &wedgeBonds)
RDKIT_GRAPHMOL_EXPORT bool | doesMolHaveAtropisomers (const ROMol &mol)
RDKIT_GRAPHMOL_EXPORT bool | getAtropisomerAtomsAndBonds (const Bond *bond, AtropAtomAndBondVec atomAndBonds[2], const ROMol &mol)
RDKIT_GRAPHMOL_EXPORT void | getAllAtomIdsForStereoGroup (const ROMol &mol, const StereoGroup &group, std::vector< unsigned int > &atomIds, const std::map< int, std::unique_ptr< RDKit::Chirality::WedgeInfoBase > > &wedgeBonds)

## Typedef Documentation

## AtropAtomAndBondVec

using RDKit::Atropisomers::AtropAtomAndBondVec = typedef std::pair<Atom *, std::vector<Bond *> >

Definition at line 22 of file Atropisomers.h.

## Function Documentation

## detectAtropisomerChirality()

RDKIT_GRAPHMOL_EXPORT void RDKit::Atropisomers::detectAtropisomerChirality | ( | ROMol & | mol,
|  | const Conformer * | conf
| ) |  |

## doesMolHaveAtropisomers()

RDKIT_GRAPHMOL_EXPORT bool RDKit::Atropisomers::doesMolHaveAtropisomers | ( | const ROMol & | mol | ) |

## getAllAtomIdsForStereoGroup()

RDKIT_GRAPHMOL_EXPORT void RDKit::Atropisomers::getAllAtomIdsForStereoGroup | ( | const ROMol & | mol,
|  | const StereoGroup & | group,
|  | std::vector< unsigned int > & | atomIds,
|  | const std::map< int, std::unique_ptr< RDKit::Chirality::WedgeInfoBase > > & | wedgeBonds
| ) |  |

## getAtropisomerAtomsAndBonds()

RDKIT_GRAPHMOL_EXPORT bool RDKit::Atropisomers::getAtropisomerAtomsAndBonds | ( | const Bond * | bond,
|  | AtropAtomAndBondVec | atomAndBonds[2],
|  | const ROMol & | mol
| ) |  |

## wedgeBondsFromAtropisomers()

RDKIT_GRAPHMOL_EXPORT void RDKit::Atropisomers::wedgeBondsFromAtropisomers | ( | const ROMol & | mol,
|  | const Conformer * | conf,
|  | std::map< int, std::unique_ptr< RDKit::Chirality::WedgeInfoBase > > & | wedgeBonds
| ) |  |